# $Revision: 1.21 $, $Date: 2007/04/02 12:18:31 $
Summary:	Library to manipulate RDF files describing LADSPA plugins
Summary(pl.UTF-8):	Biblioteka do przetwarzania plików RDF opisujących wtyczki LADSPA
Name:		liblrdf
Version:	0.4.0
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/lrdf/%{name}-%{version}.tar.gz
# Source0-md5:	327a5674f671c4b360c6353800226877
URL:		http://sourceforge.net/projects/lrdf/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libraptor-devel >= 0.9.11
BuildRequires:	libtool
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. It can also be used for general RDF manipulation. It
can read RDF/XML and N3 files and export N3 files.

%description -l pl.UTF-8
Ta biblioteka powstała, aby ułatwić przetwarzanie plików RDF
opisujących wtyczki LADSPA. Może być używana także do ogólnego
przetwarzania RDF. Jest w stanie czytać pliki RDF/XML i N3 oraz
eksportować do plików N3.

%package devel
Summary:	liblrdf header files
Summary(pl.UTF-8):	Pliki nagłówkowe liblrdf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraptor-devel >= 0.9.11

%description devel
liblrdf library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblrdf.

%package static
Summary:	Static liblrdf library
Summary(pl.UTF-8):	Statyczna biblioteka liblrdf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblrdf library.

%description static -l pl.UTF-8
Statyczna biblioteka liblrdf.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblrdf.spec,v $
Revision 1.21  2007/04/02 12:18:31  baggins
- rel 3

Revision 1.20  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.18  2007/01/01 11:48:04  arekm
- rel 2

Revision 1.17  2005/03/25 18:27:03  qboosh
- added URL

Revision 1.16  2005/03/24 23:10:14  freetz
- 0.4.0, new download url

Revision 1.15  2004/07/11 13:12:32  qboosh
- release 3 to rebuild with libraptor linked with curl 7.12

Revision 1.14  2004/05/13 09:53:48  qboosh
- release 2

Revision 1.13  2004/04/27 12:50:31  qboosh
- spaces2tabs

Revision 1.12  2004/04/27 12:48:55  emes
- added req libraptor-devel

Revision 1.11  2004/04/20 06:37:08  qboosh
- updated to 0.3.7

Revision 1.10  2004/02/10 01:31:12  freetz
- 0.3.5

Revision 1.9  2004/01/27 20:35:49  qboosh
- updated to 0.3.4, BR: pkgconfig

Revision 1.8  2004/01/04 21:54:43  pawelb
- added br ladspa-devel

Revision 1.7  2003/10/07 19:50:32  qboosh
- BR: libraptor-devel >= 0.9.11

Revision 1.6  2003/10/06 21:57:22  qboosh
- 0.3.2 (fixed buffer overrun and memory leaks)
- rebuild auto* (hey, they switched back to ac 2.13??)

Revision 1.5  2003/07/14 20:44:43  qboosh
- ladspa{,/rdf} dirs moved to ladspa-common; release 2

Revision 1.4  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 23:04:57  qboosh
- finished

Revision 1.1  2003/05/13 12:11:41  qboosh
- nothing yet, just saving URLs
